package es.uv.dagarcos.master.dto;

public class PlayerOverviewDto {

    private String playerId;
    private long globalScore;
    private long shardsPlayed;
    private long totalActions;

    public PlayerOverviewDto(
            String playerId,
            long globalScore,
            long shardsPlayed,
            long totalActions) {

        this.playerId = playerId;
        this.globalScore = globalScore;
        this.shardsPlayed = shardsPlayed;
        this.totalActions = totalActions;
    }

    public String getPlayerId() {
        return playerId;
    }

    public void setPlayerId(String playerId) {
        this.playerId = playerId;
    }

    public long getGlobalScore() {
        return globalScore;
    }

    public void setGlobalScore(long globalScore) {
        this.globalScore = globalScore;
    }

    public long getShardsPlayed() {
        return shardsPlayed;
    }

    public void setShardsPlayed(long shardsPlayed) {
        this.shardsPlayed = shardsPlayed;
    }

    public long getTotalActions() {
        return totalActions;
    }

    public void setTotalActions(long totalActions) {
        this.totalActions = totalActions;
    } 
    
}

